
%global meadversion 4.0.1
%global namedversion 4.0.1.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-el-api_5.0_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.0.1.Final-redhat-00001

Name:           %{?scl_prefix}jboss-el-api_5.0_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Expression Language API
Group:          Development/Java

%if %with mead
Source100: jboss-el-api_5.0_spec-parent-4.0.1.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-el-api_5.0_spec-4.0.1.Final-redhat-00001.jar
Source103: jboss-el-api_5.0_spec-parent-4.0.1.Final-redhat-00001.pom
Source104: jboss-el-api_5.0_spec-4.0.1.Final-redhat-00001-sources.jar
Source105: jboss-el-api_5.0_spec-4.0.1.Final-redhat-00001.pom
Source106: jboss-el-api_5.0_spec-4.0.1.Final-redhat-00001-javadoc.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-el-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Jakarta Expression Language defines an expression language for Java applications .

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-el-api_5.0_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-el-api_5.0_spec-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-el-api_5.0_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-el-api_5.0_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-el-api_5.0_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-el-api_5.0_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-el-api_5.0_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-el-api_5.0_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-el-api_5.0_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-el-api_5.0_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-el-api_5.0_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-el-api_5.0_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-el-api_5.0_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc LICENSE README
%endif
%{_javadir}/jboss-el-api_5.0_spec-%{namedversion}.jar
%{_javadir}/jboss-el-api_5.0_spec.jar
%if %with javadoc
%{_javadir}/jboss-el-api_5.0_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-el-api_5.0_spec-javadoc.jar
%endif
%{_javadir}/jboss-el-api_5.0_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-el-api_5.0_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-el-api_5.0_spec-%{namedversion}
%{_javadocdir}/jboss-el-api_5.0_spec
%endif

%changelog
* Wed May 17 2023 cpaas-ops <cpaas-ops@redhat.com> - 4.0.1-1.Final_redhat_00001.1
- Built by CPaaS

* Tue Feb 21 2023 cpaas-ops <cpaas-ops@redhat.com> - 4.0.0-2.CR1_redhat_00001.1
- Built by CPaaS

* Thu Sep 15 2022 Yong Yang <yyang@redhat.com> - 4.0.0-1.CR1_redhat_00001.1
- 4.0.0.CR1-redhat-00001

* Thu Sep 15 2022 Yong Yang <yyang@redhat.com> - 4.0.0.CR1-1.Final_redhat_00001.1
- 4.0.0.CR1-redhat-00001
